NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::PenetrationRequest Features::ShipDesign::PenetrationRequest@endlink builder <br> To create a new instance of this class, use @link Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder @endlink <br>
Default values. More...
Public Member Functions | |
void | AddNonIntersectedStructure (NXOpen::Body *structure) |
Adds nonintersected structures Created in NX8.5.0. | |
NXOpen::Expression * | CornerRadius () |
Returns the corner radius expression Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | CoutoutType () |
Returns the coutout type Created in NX8.0.0. | |
NXOpen::Expression * | Diameter () |
Returns the diameter expression Created in NX8.0.0. | |
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | DirectionType () |
Returns the direction type Created in NX8.0.0. | |
NXOpen::Expression * | Height () |
Returns the height expression Created in NX8.0.0. | |
NXString | HoleSubType () |
Returns the hole sub-type Created in NX8.5.0. | |
NXString | HoleType () |
Returns the hole type Created in NX8.5.0. | |
NXOpen::Direction * | HorizontalDirection () |
Returns the horizontal direction Created in NX8.0.0. | |
NXOpen::Sketch * | ModifiedSketch () |
Returns the modified sketch Created in NX8.5.0. | |
NXOpen::Expression * | Offset () |
Returns the offset expression Created in NX8.0.0. | |
NXOpen::Direction * | Orientation () |
Returns the orientation Created in NX8.0.0. | |
NXOpen::Expression * | Radius () |
Returns the radius expression Created in NX8.0.0. | |
void | RemoveNonIntersectedStructures () |
Removes all nonintersected structures Created in NX8.5.0. | |
void | SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType) |
Sets the coutout type Created in NX8.0.0. | |
void | SetDialogType (NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType dialogType) |
Set the dialog type Created in NX8.5.0. | |
void | SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection) |
Sets the direction type Created in NX8.0.0. | |
void | SetHoleSubType (const NXString &stringHoleType) |
Sets the hole sub-type Created in NX8.5.0. | |
void | SetHoleSubType (const char *stringHoleType) |
Sets the hole sub-type Created in NX8.5.0. | |
void | SetHoleType (const NXString &stringHoleType) |
Sets the hole type Created in NX8.5.0. | |
void | SetHoleType (const char *stringHoleType) |
Sets the hole type Created in NX8.5.0. | |
void | SetHorizontalDirection (NXOpen::Direction *vectorHorizontalDirection) |
Sets the horizontal direction Created in NX8.0.0. | |
void | SetModifiedSketch (NXOpen::Sketch *modifiedSketch) |
Sets the modified sketch Created in NX8.5.0. | |
void | SetOrientation (NXOpen::Direction *vectorOrientation) |
Sets the orientation Created in NX8.0.0. | |
NXOpen::Section * | Sketch () |
Returns the sketch Created in NX8.0.0. | |
NXOpen::Expression * | Width () |
Returns the width expression Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::PenetrationRequest Features::ShipDesign::PenetrationRequest@endlink builder <br> To create a new instance of this class, use @link Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationCutoutBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CornerRadius.Value |
0 |
CoutoutType |
Circular |
Diameter.Value |
0 |
DirectionType |
PerpendiculartoStructure |
Height.Value |
0 |
Offset.Value |
0 |
Radius.Value |
0 |
Width.Value |
0 |
Created in NX8.0.0.
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::AddNonIntersectedStructure | ( | NXOpen::Body * | structure | ) |
Adds nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
structure | structure |
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::CornerRadius | ( | ) |
Returns the corner radius expression
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::CoutoutType | ( | ) |
Returns the coutout type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Diameter | ( | ) |
Returns the diameter expression
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::DirectionType | ( | ) |
Returns the direction type
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Height | ( | ) |
Returns the height expression
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HoleSubType | ( | ) |
Returns the hole sub-type
Created in NX8.5.0.
License requirements : None
NXString NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HoleType | ( | ) |
Returns the hole type
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::HorizontalDirection | ( | ) |
Returns the horizontal direction
Created in NX8.0.0.
License requirements : None
NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::ModifiedSketch | ( | ) |
Returns the modified sketch
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Offset | ( | ) |
Returns the offset expression
Created in NX8.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Orientation | ( | ) |
Returns the orientation
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Radius | ( | ) |
Returns the radius expression
Created in NX8.0.0.
License requirements : None
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::RemoveNonIntersectedStructures | ( | ) |
Removes all nonintersected structures
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetCoutoutType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType | enumCoutoutType | ) |
Sets the coutout type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumCoutoutType | enumcoutouttype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetDialogType | ( | NXOpen::Features::ShipDesign::PenetrationRequestBuilder::RequestDialogType | dialogType | ) |
Set the dialog type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
dialogType | dialogtype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetDirectionType | ( | NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType | enumDirection | ) |
Sets the direction type
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
enumDirection | enumdirection |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleSubType | ( | const NXString & | stringHoleType | ) |
Sets the hole sub-type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleSubType | ( | const char * | stringHoleType | ) |
Sets the hole sub-type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleType | ( | const NXString & | stringHoleType | ) |
Sets the hole type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHoleType | ( | const char * | stringHoleType | ) |
Sets the hole type
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
stringHoleType | stringholetype |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetHorizontalDirection | ( | NXOpen::Direction * | vectorHorizontalDirection | ) |
Sets the horizontal direction
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
vectorHorizontalDirection | vectorhorizontaldirection |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetModifiedSketch | ( | NXOpen::Sketch * | modifiedSketch | ) |
Sets the modified sketch
Created in NX8.5.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
modifiedSketch | modifiedsketch |
void NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::SetOrientation | ( | NXOpen::Direction * | vectorOrientation | ) |
Sets the orientation
Created in NX8.0.0.
License requirements : nx_penetration_mgmt ("Penetration Management")
vectorOrientation | vectororientation |
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Sketch | ( | ) |
Returns the sketch
Created in NX8.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationCutoutBuilder::Width | ( | ) |
Returns the width expression
Created in NX8.0.0.
License requirements : None